Subject: [os2genau_digest] No. 1128
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 23 Jun 2005 00:02:09 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 22 June 2005
 Number  1128
**************************************************

Subjects for today
 
1  Re:  USB Webcam operational. : Kris Steenhaut <kris.steenhaut at hccnet.nl>
2  Re:  USB Webcam operational. : Paul Smedley <paul at smedley.info>
3  Re:  USB Webcam operational. : Paul Smedley <paul at smedley.info>
4  Re:  USB Webcam operational. : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  USB Webcam operational. : Paul Smedley" <paul at smedley.info>
6  Re:  USB Webcam operational. : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re:  USB Webcam operational. : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Tue, 21 Jun 2005 19:03:34 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  USB Webcam operational.

Ed Durrant schreef:

> loss of motion (I'd guess its about 25 frames per second). Picture was 
> a bit grainy in fullscreen but that's the webcam rather than the 
> software.
>
> That's all WVGUI does though, there's no way to save the incoming 
> video stream to a file.
>
Found a cheap webcam to try out, Creative Labs Webcam Vista.

It's not on the list and it doesn't work. Nor with Warpvision nor with 
wcamshow.exe.

Nevertheless usbres shows the camera with it's name and all it's 
specifications.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 22 Jun 2005 03:57:15 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  USB Webcam operational.

Hi Ian,

Ian Manners wrote:
> Hi Ed
> 
>> worked with WVGUI. Simply plugged into a USB port on my card in the home 
>> tower PC, no drivers  to install, no configuration to do, simply select 
> 
> USB Drivers ?
> what are you using and what switches, if I can ask

WVGui uses usbresmg.sys & usbcalls.dll (and of course the normal OS/2 
usb stack)

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 22 Jun 2005 04:00:28 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  USB Webcam operational.

Hi Ed,

Ed Durrant wrote:
> One important point is that I think the Netlabs files have been created 
> by the same person who maintains warpvision as they are in a WVGUI 
yes Vladest did the wcamdemo too...

> That's all WVGUI does though, there's no way to save the incoming video 
> stream to a file.
yet :)

See http://wiki dot netlabs dot org/index.php/Vladest#WVGUI for what's planned...

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 22 Jun 2005 08:26:16 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  USB Webcam operational.

Ian Manners wrote:

>Hi Ed
>
>  
>
>>worked with WVGUI. Simply plugged into a USB port on my card in the home 
>>tower PC, no drivers  to install, no configuration to do, simply select 
>>    
>>
>
>USB Drivers ?
>what are you using and what switches, if I can ask
>
>
>Cheers
>Ian Manners
>http://www.os2site dot com/
>
>On a clear disk you can seek forever

>  
>
I added no new USB drivers for the camera to operate.

Presently in config.sys I have:

BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBEHCD.SYS
BASEDEV=USBD.SYS /REQ:USBUHCD$,USBOHCD$,USBEHCD$
BASEDEV=USBHID.SYS
BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:1
REM DEVICE=C:\OS2\BOOT\USBKBD.SYS
REM DEVICE=C:\OS2\BOOT\USBMOUSE.SYS
REM DEVICE=C:\OS2\BOOT\USBCOM.SYS
DEVICE=C:\OS2\BOOT\USBPRT.SYS
DEVICE=C:\OS2\BOOT\USBRESMG.SYS

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 22 Jun 2005 07:59:36 +0930
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  USB Webcam operational.

Hi Kris,

On 21/6/2005, "Kris Steenhaut" <kris.steenhaut at hccnet.nl> wrote:
>
>Ed Durrant schreef:
>
>> loss of motion (I'd guess its about 25 frames per second). Picture was
>> a bit grainy in fullscreen but that's the webcam rather than the
>> software.
>>
>> That's all WVGUI does though, there's no way to save the incoming
>> video stream to a file.
>>
>Found a cheap webcam to try out, Creative Labs Webcam Vista.
>
>It's not on the list and it doesn't work. Nor with Warpvision nor with
>wcamshow.exe.
Well there's probably a reason that there is a list of devices that
should work :)  The OS/2 webcam support is based on a linux driver for
phillips chipset webcams....

>Nevertheless usbres shows the camera with it's name and all it's
>specifications.
usbres should show ANY device - whether there is OS/2 driver support or
not....

Cheers,

Paul.
----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Wed, 22 Jun 2005 08:31:10 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  USB Webcam operational.

Kris Steenhaut wrote:

>
>
> Ed Durrant schreef:
>
>> loss of motion (I'd guess its about 25 frames per second). Picture 
>> was a bit grainy in fullscreen but that's the webcam rather than the 
>> software.
>>
>> That's all WVGUI does though, there's no way to save the incoming 
>> video stream to a file.
>>
> Found a cheap webcam to try out, Creative Labs Webcam Vista.
>
> It's not on the list and it doesn't work. Nor with Warpvision nor with 
> wcamshow.exe.
>
> Nevertheless usbres shows the camera with it's name and all it's 
> specifications.
>
I also tried with my existing cheap webcam, same situation USBRES 
identifies it but wcamshow wont work with it.

Wcamshow only works with webcams that use the Philips chips that it 
supports. I hope you can return the CL Vista or use it elsewhere, as I 
said there's no gaurentee that even the webcams listed will work (all 
though I suspect they will) - as for non-listed webcams, unless you find 
one by luck with the same philips chips in it, I can't see it working.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 22 Jun 2005 08:51:19 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  USB Webcam operational.

Paul Smedley wrote:

> Hi Ed,
>
> Ed Durrant wrote:
>
>> One important point is that I think the Netlabs files have been 
>> created by the same person who maintains warpvision as they are in a 
>> WVGUI 
>
> yes Vladest did the wcamdemo too...
>
>
>> That's all WVGUI does though, there's no way to save the incoming 
>> video stream to a file.
>
> yet :)
>
> See http://wiki dot netlabs dot org/index.php/Vladest#WVGUI for what's planned...
>
> Cheers,
>
> Paul.
 
>
> 

>
Thanks this is a useful page !
Cheers/2

Ed.
----------------------------------------------------------------------------------